> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Withdrawal

> GET /v2/naas/withdrawal/{end2end} — fetch a single NaaS withdrawal by its end2end ID.

## Path parameters

| Parameter | Description                           |
| --------- | ------------------------------------- |
| `end2end` | The withdrawal's `end2end` identifier |

## Response `200 OK`

Returns the standard v2 process object for the withdrawal.

**`404`** — withdrawal not found or does not belong to this correlation.

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://checkout.noxpay.io/v2/naas/withdrawal/NOXwd123 \
    -H "api-key: <key>" \
    -H "X-Timestamp: 2026-05-27T14:30:00Z" \
    -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
    -H "X-Signature: <signed-headers-signature>"
  ```

  ```python Python theme={null}
  import requests

  headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
  headers["api-key"] = "<key>"
  response = requests.get(
      "https://checkout.noxpay.io/v2/naas/withdrawal/NOXwd123",
      headers=headers,
  )
  print(response.json())
  ```

  ```javascript Node.js theme={null}
  const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
  headers["api-key"] = "<key>";
  const response = await fetch("https://checkout.noxpay.io/v2/naas/withdrawal/NOXwd123", {
    method: "GET",
    headers,
  });
  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "end2end": "NOXwd123",
    "component": "component.success",
    "state": "DONE",
    "status": { "en": "Completed", "pt": "Concluído" },
    "created_at": "2026-05-19T14:00:00Z",
    "updated_at": "2026-05-19T14:02:10Z"
  }
  ```

  ```json 404 theme={null}
  { "error": "Not Found" }
  ```
</ResponseExample>
